#
# Copyright (C)2022 @BABOLO http://www.babolo.ru/
# pkg = cipalite
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: prep.pleaf.m4,v 1.2 2022/10/16 01:14:28 babolo Exp $
#
#   

eval
#select  _002
WITH r AS(SELECT random() AS r)
INSERT INTO SQNM(pkey)(SQAT(pkey), SQAT(sess), SQAT(created), SQAT(ttl))
 SELECT CASE WHEN r.r < 0 THEN -r.r ELSE r.r END
      , SQNM(sess).SQAT(sess)
      , gettimeofday()
      , COALESCE(SQNM(sess).SQAT(ttl), SQNM(pass).SQAT(ttl), SQNM(cipaconf).SQAT(ttl))
  FROM r, SQNM(cipaconf), SQNM(x) JOIN SQNM(sess) USING(SQAT(sess)) JOIN SQNM(pass) USING(SQAT(cred))
RETURNING SQAT(pkey), SQAT(ttl), (SELECT p.p FROM p WHERE p.n == 'n' LIMIT 1)
;
#select  10__
SELECT ?                  AS key
     , ?                  AS ttl
     , ?                  AS post
     , CINM(x).CIAT(sess) AS sess
     , CINM(x).CIAT(p)    AS page
 FROM CINM(x)
;
#style   00y001
prep
#display 001001
#close   101001
#close   _0_
